Skip to main content
DELETE
/
transcribe
/
workspace
/
{id}
/
transcriptions
/
{transcriptionId}
Delete a transcription from a workspace
curl --request DELETE \
  --url https://api.pawa-ai.com/v1/transcribe/workspace/{id}/transcriptions/{transcriptionId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Transcription deleted successfully",
  "data": {
    "id": 1,
    "fileName": "meeting_recording.mp3",
    "fileUrl": "https://storage.domain.com/files/meeting_recording.mp3",
    "fileType": "audio/mpeg",
    "duration": 320,
    "transcript": {
      "filename": "testing audio.mp3",
      "transcript": "[Environmental Sounds]"
    },
    "status": "COMPLETED",
    "createdAt": "2026-02-23T08:00:00.000Z",
    "updatedAt": "2026-02-23T08:10:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pawa-ai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
number
required
transcriptionId
number
required

Response

Transcription deleted successfully

success
boolean
required
Example:

true

message
string
required
Example:

"Transcription deleted successfully"

data
object
required